#
# Package selection helpers
#

# artifact name per platform
artifact_name = value_for_platform_family(
  rhel:    'el' + node['platform_version'].split('.').first,
  default: node['platform'] + node['platform_version'].split('.').first
)
# checksum per artifact name
server_pkg_checksum = {
  el6:      '26816250c884e537723b8f6224c244a5336a184c7fe3d7c91d69b224905c9a55',
  el7:      'e75b2776d45632ba95f482679d5af43614074d820d8c08c332450aad48e638d3',
  debian7:  'c9d31a927e8049a8ff8d2fa69e1b69d34573af19d4c302b1045c9893d0ef6351',
  debian8:  'e78cbfc6190938b1553322c24c7b84bac9284be802c37d2c78220fbf52042e46',
  debian9:  '7586e21fc9c53a152cdd58fb39e9d073ebc71d2898f6e134ae3b1b2deae44022',
  ubuntu14: 'd4ef6b12c4bb92b3c5244fdd8f53f3376d420fdf89371605ca074bb650fcb54b',
  ubuntu16: 'daf7d6c55fc6056a718cce6e280c7a5e0c99348755a898441503535137814a69',
  ubuntu18: '6e0364e50cfd8042ab1937ace5b22d8e41251b6955366032de87bb34da474a1a'
}

#
# Package
#
default['aerospike']['server']['version'] = '4.3.0.7'
default['aerospike']['server']['edition'] = 'community'

default['aerospike']['server']['pkg']['dir'] = '/var/cache/aerospike/server/'
default['aerospike']['server']['pkg']['url'] = 'https://www.aerospike.com/download/server/' +
                                               node['aerospike']['server']['version']       +
                                               '/artifact/' + artifact_name
default['aerospike']['server']['pkg']['checksum'] = server_pkg_checksum[artifact_name.to_sym]

#
# Configuration
#
default['aerospike']['conf']['logging']['console']['context']   = 'any info'
default['aerospike']['conf']['network']['service']['address']   = 'any'
default['aerospike']['conf']['network']['service']['port']      = 3000
default['aerospike']['conf']['network']['heartbeat']['mode']    = 'mesh'
default['aerospike']['conf']['network']['heartbeat']['address'] = node['ipaddress']
default['aerospike']['conf']['network']['heartbeat']['port']    = 3002
default['aerospike']['conf']['network']['fabric']['port']       = 3001
default['aerospike']['conf']['network']['info']['port']         = 3003
